Family Care - Bug #2369

Update File - functional test cases
03/04/2021 05:14 PM - Saja Nakhleh

Status:
Priority:
Assignee:
Category:
Target version:

Co-Workers:

Severity:
Category:
Sub-Category:

Step_Description:

Pre_Conditions:

Expected Result:

Closed
High
Saja Nakhleh

Major

Update file

Issue #1:

1. the newly created file should inherit
the stop cause and date from the old file
2. the decisions' inquiry screen should
show that the file has been activated

Start date:

Due date:

% Done:
Estimated time:
Spent time:

Actual Result:

Environment:
Transaction Number:
Username:

Browser:

URL:

Test Case ID:

03/04/2021

0%
0.00 hour
0.00 hour

1. the stop reason and stop date will not
be inherited from the old file

2. the activation decision will not be
inserted on the decisions' inquiry screen
or report (76.pdf)

QA

Chrome

Description
Issue #1:

NOoO Ok W=

. Open new file and complete it's workflow (i.e: 265091700195, file #07770902)

. Stop the same file through Update file workflow (task #149366)

. submit a new (1000 task and complete it to get new closed file( task #149385,)
. get the new created file number (#07121015)
. now submit new update task for the new file, to activate the file (U000 O00), (i.e task #149386)
. search for the newly created file (# 07121015) and observe it's status

. search for the newly created file (# 07121015) and Open (decisions' inquiry screen)

History

#1 - 03/09/2021 12:11 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Musab Khuraisat

#2 - 03/30/2021 01:59 PM - Mohannad Sabra

- Status changed from Open to Feedback

- Assignee changed from Musab Khuraisat to Saja Nakhleh

the issue has been solved and you can test it again.

#3 - 04/19/2021 01:55 PM - Saja Nakhleh

issue #1:

could not be tested as a SHOW STOPPER is occurred on the below issue

New issue, issue #2:

1. open "update file" for the civil id: 265091700195
2. enter the serial number 1471560304 (don't click (00000 000000 00 0000y action

3. navigate to the searcher decision tab and observe the occurred error as on the video:
https://www.loom.com/share/dccb0a76f10145108c3b5a068804cbdc
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/2
https://www.loom.com/share/dccb0a76f10145108c3b5a068804cbdc

#4 - 04/21/2021 03:05 PM - Saja Nakhleh
- Assignee changed from Saja Nakhleh to Musab Khuraisat

#5 - 04/28/2021 10:08 AM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Done.

#6 - 05/02/2021 03:45 PM - Saja Nakhleh
- File 99.GIF added

Issue #1:

show stopper is occurred on the step #5 (10000 O00) (the task could not be submitted, evidence 102.gif

Issue #2:

tested and verified as the searcher decision tab is disabled while the (0000 000000 00 000000) action is not clicked

new Issue, issue #3:

for a dead beneficiary, stopped file and the selected status is {00000 0000000

civil id: 289101601681, serial number: 2114771901

an exception will be occurred once the attachment is added. evidence 99.gif

#7 - 05/03/2021 03:36 PM - Saja Nakhleh
- File 102.GIF added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

#8 - 05/03/2021 04:05 PM - Saja Nakhleh
- Assignee changed from Musab Khuraisat to Saja Nakhleh

#9 - 05/04/2021 02:17 PM - Saja Nakhleh
- File deleted (102.GIF)

#10 - 05/04/2021 02:33 PM - Saja Nakhleh
- File 102.GIF added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

#11 - 05/05/2021 11:34 AM - Musab Khuraisat
- Assignee changed from Musab Khuraisat to Saja Nakhleh

Dear Saja,
the issue has been solved and you can test it again.

#12 - 05/09/2021 07:19 AM - Saja Nakhleh
- File 104.GIF added
- Assignee changed from Saja Nakhleh to Musab Khuraisat
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/5
http://185.98.225.148:8089/redmine/issues/2
Issue #1:
the stop cause and stop date are disabled as on evidence 104.gif and once the save updates is clicked an exception will be occurred.

Issue #3:
tested and verified.

#13 - 06/10/2021 01:30 PM - Musab Khuraisat
- Assignee changed from Musab Khuraisat to Saja Nakhleh

Done.

#14 - 06/16/2021 03:23 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Mohannad Sabra

- Priority changed from Normal to Immediate

- Severity changed from Normal to Major

Issue #1:

tested and verified.

new Issue, Issue #4:

Once the update file task is submitted then it will not be appeared on the supervisor step, also if the applicant submitted new task for the same civil id,

the confirmation message of the auto rejection for the previous task will not be shown !!!
task #149975, #149977

#15 - 06/16/2021 03:28 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Rahaf Khashroom

Please take action

#16 - 06/16/2021 03:29 PM - Mohannad Sabra
Dear Rahaf,

Please check the abort instance utility if the issue happens in the code of the instance aborting.

#17 - 06/17/2021 09:22 AM - Rahaf Khashroom
- Assignee changed from Rahaf Khashroom to Saja Nakhleh

Issue #4: Fixed

#18 - 06/17/2021 01:47 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Rahaf Khashroom
- Priority changed from Immediate to High

issue #4:

tested and verified.

new issue #5:
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/3
http://185.98.225.148:8089/redmine/issues/1
if the user submitted update task then change file task, the update task will not be auto rejected !
(for the same type tasks the old one will be rejected and disappeared)

Observe the following tasks:
149988 update

149989 update

149990 change file data

#19 - 06/17/2021 04:03 PM - Rahaf Khashroom
- Status changed from Feedback to Fixed
- Assignee changed from Rahaf Khashroom to Saja Nakhleh

issue #5: Fixed

#20 - 06/20/2021 03:20 PM - Saja Nakhleh

Issue #5:
tested and verified.

new file

update update ()

update stop change ()

update (I0000 O00) stop change update ()
update, debs and dues, update

update, debs and dues, change

file with recovered tasks

update update ()

update stop change

update (I0000 O00) stop change update ()
update, debs and dues, update ()

update, debs and dues, change ()

New issue, Issue #6:

once the selected value is (0000 O00) then an error will be occurred on the selected cause as on the video:
https://www.loom.com/share/c2e6a168bf3a44da89c9f0639b15d3d1

#21 - 07/14/2021 09:43 PM - Saja Nakhleh

- Status changed from Fixed to Closed

Issue #5:

all the mentioned test cases have been re-designed and processed in this report:

http://mscjo.dynalias.com:8089/redmine/issues/2386

Issue #6:
tested and vrified
Files

76.pdf 86 KB 03/04/2021 Saja Nakhleh
99.GIF 298 KB 05/02/2021 Saja Nakhleh
102.GIF 286 KB 05/04/2021 Saja Nakhleh
104.GIF 45.2 KB 05/09/2021 Saja Nakhleh
